<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: SmptAnimMetaBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d01/class_smpt_anim_meta_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">SmptAnimMetaBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:abad294ad88cf8cf55059ef456d79d12f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d01/class_smpt_anim_meta_base.html#abad294ad88cf8cf55059ef456d79d12f">~SmptAnimMetaFB</a> ()</td></tr>
<tr class="separator:abad294ad88cf8cf55059ef456d79d12f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5fe853ed3b924a9f57800fac9f2c009"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d01/class_smpt_anim_meta_base.html#ad5fe853ed3b924a9f57800fac9f2c009">Init</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx, <a class="el" href="../../dd/d8b/class_symptom_manager.html">SymptomManager</a> manager, <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:ad5fe853ed3b924a9f57800fac9f2c009"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59050dbcc23b6f532bde643232265982"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../db/d8d/_state_manager_8c.html#aa2a06f1e5cf7145c2e712d842a8c1da6">EAnimPlayState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d01/class_smpt_anim_meta_base.html#a59050dbcc23b6f532bde643232265982">Play</a> ()</td></tr>
<tr class="separator:a59050dbcc23b6f532bde643232265982"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a5fe53ce0af5fc9600087ca0f53043777"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d01/class_smpt_anim_meta_base.html#a5fe53ce0af5fc9600087ca0f53043777">m_StanceMask</a></td></tr>
<tr class="separator:a5fe53ce0af5fc9600087ca0f53043777"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3fb78c2e1c6a844b5cec90793dd3217"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d01/class_smpt_anim_meta_base.html#ab3fb78c2e1c6a844b5cec90793dd3217">m_Duration</a></td></tr>
<tr class="separator:ab3fb78c2e1c6a844b5cec90793dd3217"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00081">81</a> of file <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html">SmptAnimMeta.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="abad294ad88cf8cf55059ef456d79d12f" name="abad294ad88cf8cf55059ef456d79d12f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abad294ad88cf8cf55059ef456d79d12f">&#9670;&#160;</a></span>~SmptAnimMetaFB()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SmptAnimMetaBase::~SmptAnimMetaFB </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00086">86</a> of file <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html">SmptAnimMeta.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad5fe853ed3b924a9f57800fac9f2c009" name="ad5fe853ed3b924a9f57800fac9f2c009"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5fe853ed3b924a9f57800fac9f2c009">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void SmptAnimMetaBase::Init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../dd/d8b/class_symptom_manager.html">SymptomManager</a>&#160;</td>
          <td class="paramname"><em>manager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00092">92</a> of file <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html">SmptAnimMeta.c</a>.</p>

</div>
</div>
<a id="a59050dbcc23b6f532bde643232265982" name="a59050dbcc23b6f532bde643232265982"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59050dbcc23b6f532bde643232265982">&#9670;&#160;</a></span>Play()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../db/d8d/_state_manager_8c.html#aa2a06f1e5cf7145c2e712d842a8c1da6">EAnimPlayState</a> SmptAnimMetaBase::Play </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00098">98</a> of file <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html">SmptAnimMeta.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ab3fb78c2e1c6a844b5cec90793dd3217" name="ab3fb78c2e1c6a844b5cec90793dd3217"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3fb78c2e1c6a844b5cec90793dd3217">&#9670;&#160;</a></span>m_Duration</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> SmptAnimMetaBase::m_Duration</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00084">84</a> of file <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html">SmptAnimMeta.c</a>.</p>

</div>
</div>
<a id="a5fe53ce0af5fc9600087ca0f53043777" name="a5fe53ce0af5fc9600087ca0f53043777"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5fe53ce0af5fc9600087ca0f53043777">&#9670;&#160;</a></span>m_StanceMask</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> SmptAnimMetaBase::m_StanceMask</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00083">83</a> of file <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html">SmptAnimMeta.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/PlayerSymptoms/<a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html">SmptAnimMeta.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d4/d01/class_smpt_anim_meta_base.html">SmptAnimMetaBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
